Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Class ServerTreeMismatchException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.SessionException
                        |
                        +--com.novell.service.session.xplat.ServerTreeMismatchException

public class ServerTreeMismatchException
extends SessionException

Thrown when a server is not part of a required tree.

Constructor Summary
`ServerTreeMismatchException(java.lang.String requestedServer, java.lang.String requestedTree, java.lang.String connectionTree)` Constructs a ServerTreeMismatchException with the specified requested server, requested tree, and connection tree.

Methods inherited from class com.novell.service.session.SessionException
`getRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerTreeMismatchException

    public ServerTreeMismatchException(java.lang.String requestedServer,
                                       java.lang.String requestedTree,
                                       java.lang.String connectionTree)

  Constructs a ServerTreeMismatchException with the specified requested server, requested tree, and connection tree.
  Parameters:
    `requestedServer` - The specified server requested.
    `requestedTree` - The specified tree requested.
    `connectionTree` - The specified connection tree.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD